## trustedqsl 1.13

=== debian/changelog ===
trustedqsl (1.13-3) unstable; urgency=low

  * Create manpages: trustedqsl.5, tqsl.1, tqslcert.1 (LP: #480355).
  * debian/watch: refined version regexp.

 -- Kamal Mostafa <kamal@whence.com>  Thu, 31 Mar 2011 20:50:06 -0700

trustedqsl (1.13-2) unstable; urgency=low

  * 00-copy-LICENSE-to-COPYING.patch: create COPYING.
  * 01-fix-library-configure-checks.patch:
      Clean up library configure checks: rm {openssl, expat}, fix zlib to
      allow multi-arch libs [thanks Jonathan Marsden <jmarsden@fastmail.fm>].
  * 10-icons-key16-xpm.patch: import icons/key16.xpm from trustedqsl-1.11.
  * 99-update-generated-build-config.patch: autoconf, automake, libtool update.
  * Drop build-dep on unused {libexpat-dev, libssl-dev}.
  * debian/rules: install upstream ChangeLog.

 -- Kamal Mostafa <kamal@whence.com>  Sat, 26 Mar 2011 21:19:03 -0700

trustedqsl (1.13-1) unstable; urgency=low

  * Updating to latest upstream release.
  * Adding myself to the uploaders list.

 -- Jerry Stueve <k4int@arrl.net>  Mon,  4 Oct 2010 18:32:26 +0000

trustedqsl (1.11-8.1) unstable; urgency=low

  * Retiring - remove myself from the uploaders list.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 16 Nov 2009 18:32:26 +0000

trustedqsl (1.11-8) unstable; urgency=low

  * Fix a couple of lintian warnings:
    - call dh_installdeb after calling dh_shlibdeps and dh_makeshlibs.
    - set debhelper compatibility version to 5.
    - update standards version.
    - install and create xpm files for the debian menu.
  * New icons for the desktop menu files, requires imagemagick when
    building the package.
  * Fix all compilation warnings, most of them fixed by changing
    'char *' to 'const char *'.
  * wxNotebookSizer is deprecated, we can now use wxNotebook directly.
  * Build against libwxgtk2.8-dev. tqslcert and tqsl have been ported
    to version 2.8 of libwxgtk.

 -- Joop Stakenborg <pa3aba@debian.org>  Fri, 20 Mar 2009 23:17:57 +0100

trustedqsl (1.11-7) unstable; urgency=low

  * Enable check for libcrypto in configure.in, so we link with this
    library. Closes: #464278.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Feb 2008 20:23:40 +0100

trustedqsl (1.11-6) unstable; urgency=low

  * Tried a rebuild, the build errors starting with "undefined reference
    to `BIO_new_mem_buf'" seem to have gone. I have tried to figure out
    if any of the packages needed for building have been updated recently,
    could not find any relevant changes, sorry. Closes: #464278.
  * Added a main category to the desktop files.
  * Fix installation of icons, so they appear in the gnome menu.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 17 Feb 2008 16:43:11 +0100

trustedqsl (1.11-5) unstable; urgency=low

  * Update config.{guess,sub} at build-time from autotools-dev
  * Added watch file to track new versions at sourceforge
  * Update to standards-revision 3.7.3
  * Added menu and desktop files
  * Changed build-depends to WxWidgets 2.6 (closes: #418713)

 -- Hamish Moffatt <hamish@debian.org>  Wed, 23 Jan 2008 10:07:32 +1100

trustedqsl (1.11-4) unstable; urgency=low

  * Fix circular dependency in Makefile and autoreconf with the
    correct tool versions (ie automake 1.9 this time) and hope that
    the infinite loop doesn't reoccur .. :-| (closes: #341474)
  * tqsl should only open windows if not in batch mode (closes: #339560);
    thanks to John Mock KD6PAG for the patch
  * Reinstall the help files properly (closes: #278856)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 17 Dec 2005 18:26:36 +1100

trustedqsl (1.11-3) unstable; urgency=low

  * Rebuild against tqsllib1c2a due to g++ ABI change
  * Hack configure.in not to link directly to OpenSSL and expat and zlib,
    since they aren't used directly (only by tqsllib)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 27 Nov 2005 23:17:13 +1100

trustedqsl (1.11-2) unstable; urgency=low

  * Rebuild with g++-4.0/tqsllib 2.0-2

 -- Hamish Moffatt <hamish@debian.org>  Sun, 31 Jul 2005 07:39:23 +0000

trustedqsl (1.11-1) unstable; urgency=medium

  * New upstream release
  * Modified crqwiz.cpp to compile with gcc-4.0 (closes: #302544);
    thanks to Andreas Jochens for the patch
  * Build with new tqsllib 2.0
    * urgency=medium because the new tqsllib fixes an RC bug

 -- Hamish Moffatt <hamish@debian.org>  Wed, 27 Apr 2005 00:07:12 +1000

trustedqsl (1.10-3) unstable; urgency=low

  * Fix section of package (libs -> hamradio) (closes: #243544)
  * Rebuild with latest libwxgtk2.4 (closes: #221357)

 -- Hamish Moffatt <hamish@debian.org>  Sun, 15 Aug 2004 16:35:07 +1000

trustedqsl (1.10-2) unstable; urgency=low

  * Add build-dep for zlib1g-dev (closes: #219058)
  * Renamed left and right xpms to resolve ambiguity problem
    at compile time (closes: #221538)

 -- Hamish Moffatt <hamish@debian.org>  Sat, 31 Jan 2004 13:47:15 +1100

trustedqsl (1.10-1) unstable; urgency=low

  * First upload

 -- Hamish Moffatt <hamish@debian.org>  Wed, 22 Oct 2003 00:41:54 +1000
