=== debian/rules ===
#!/usr/bin/make -f

build: build-stamp
build-stamp:
	dh_testdir
	cp /usr/share/misc/config.sub $(CURDIR)
	cp /usr/share/misc/config.guess $(CURDIR)
	./configure --prefix=/usr
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.guess config.sub
	rm -f icons/tqsl.png
	dh_clean

reconf:
	AUTOMAKE="automake-1.9 --foreign" ACLOCAL="aclocal-1.9" autoreconf -v

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	make install DESTDIR=`pwd`/debian/trustedqsl

	cp -a help debian/trustedqsl/usr/share/TrustedQSL
	cp debian/*.desktop debian/trustedqsl/usr/share/applications
	convert tqsl-key1.ico icons/tqsl.png
	cp icons/*.* debian/trustedqsl/usr/share/pixmaps
	cp ChangeLog \
	    debian/trustedqsl/usr/share/doc/trustedqsl/changelog

	# generate man pages, and place them for debian/trustedqsl.manpages
	mkdir -p debian/trustedqsl/tmp/man
	cp debian/trustedqsl.5 debian/trustedqsl/tmp/man
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSL 1/' < debian/trustedqsl.5  \
	    > debian/trustedqsl/tmp/man/tqsl.1
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSLCERT 1/' < debian/trustedqsl.5  \
	    > debian/trustedqsl/tmp/man/tqslcert.1
	dh_installman
	rm -r debian/trustedqsl/tmp/man

	dh_installdocs
	dh_installchangelogs
	dh_installmenu
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
