=== debian/watch ===
version=3
http://sf.net/trustedqsl/TrustedQSL-([0-9].*)\.tar\.gz
