## trustedqsl 1.14.2

=== debian/changelog ===
trustedqsl (1.14.2-1) unstable; urgency=low

  * New upstream release

 -- Kamal Mostafa <kamal@whence.com>  Wed, 12 Jun 2013 09:27:22 -0700
