=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	# Omit the 5 header files that the build installs to /usr/include
	# (they would belong in a -dev package)
	dh_install
	rm -r debian/trustedqsl/usr/include

override_dh_installman:
	# Duplicate the trustedqsl man page for tqsl and tqslcert but fix their
	# sections for dh_installman (see debian/trustedqsl.manpages).
	mkdir -p debian/tmp
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSL 1/' < apps/trustedqsl.5  \
	    > debian/tmp/tqsl.1
	sed 's/^\.TH TRUSTEDQSL 5/.TH TQSLCERT 1/' < apps/trustedqsl.5  \
	    > debian/tmp/tqslcert.1
	dh_installman
