=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 FIND_PACKAGE(BDB REQUIRED)
 
 set(TQSLLIB_VERSION_MAJOR 2)
-set(TQSLLIB_VERSION_MINOR 3)
+set(TQSLLIB_VERSION_MINOR 4)
 set(TQSLLIB_VERSION "${TQSLLIB_VERSION_MAJOR}.${TQSLLIB_VERSION_MINOR}")
 
 add_definitions(-DTQSLLIB_VERSION_MAJOR=${TQSLLIB_VERSION_MAJOR})
