=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	# Omit the 5 header files that the build installs to /usr/include
	# (they would belong in a -dev package)
	dh_install
	rm -r debian/trustedqsl/usr/include

override_dh_installman:
	# Duplicate the tqsl.5 man page for tqsl.1 but fix its section
       	# for dh_installman (see debian/trustedqsl.manpages).
	mkdir -p debian/tmp
	sed 's/^\.TH TQSL 5/.TH TQSL 1/' < apps/tqsl.5  \
	    > debian/tmp/tqsl.1
	dh_installman
