## trustedqsl 2.0.2b

=== debian/changelog ===
trustedqsl (2.0.2b-1) unstable; urgency=medium

  * New upstream "final v2.0.2" release
     - Debian "2.0.2b" corresponds to the changed upstream tqsl-2.0.2.tar.gz
       released on 2014-07-12.

 -- Kamal Mostafa <kamal@whence.com>  Sun, 13 Jul 2014 09:15:46 -0700

trustedqsl (2.0.2-2) unstable; urgency=medium

  [ Olly Betts ]
  * Update to use wxWidgets 3.0 (02-wx3.0-compat.patch). Closes: #750084

 -- Kamal Mostafa <kamal@whence.com>  Thu, 19 Jun 2014 17:43:09 -0700

trustedqsl (2.0.2-1) unstable; urgency=medium

  * New upstream release
  * Debian packaging
     - updated 01-install-libtqsllib-so-in-usr-lib-trustedqsl.patch
     - bumped standards version

 -- Kamal Mostafa <kamal@whence.com>  Wed, 16 Apr 2014 09:34:55 -0700
