## trustedqsl 2.0.3

=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -5,9 +5,9 @@
 string(REPLACE " " ";" CMAKE_OSX_ARCHITECTURES ${OSX_ARCH})
 
 if(WIN32)
-set(wxWidgets_USE_STATIC ON)
-add_definitions(-DCURL_STATICLIB)
-add_definitions(-DXML_STATIC)
+	set(wxWidgets_USE_STATIC ON)
+	add_definitions(-DCURL_STATICLIB)
+	add_definitions(-DXML_STATIC)
 endif()
 
 find_package(CURL REQUIRED)
@@ -20,8 +20,8 @@
 include(${wxWidgets_USE_FILE})
 
 if(APPLE)
-find_library(CARBON_LIBRARY Carbon)
-find_path(CARBON_INCLUDE_DIR Carbon.h)
+	find_library(CARBON_LIBRARY Carbon)
+	find_path(CARBON_INCLUDE_DIR Carbon.h)
 endif()
 
 include_directories(${tqsllib_SOURCE_DIR} ${ZLIB_INCLUDE_DIR} ${EXPAT_INCLUDE_DIR} ${CURL_INCLUDE_DIR} ${CARBON_INCLUDE_DIR} ${OPENSSL_INCLUDE_DIR} ${BDB_INCLUDE_DIR})
@@ -29,16 +29,23 @@
 #get version from file
 
 file(STRINGS "tqslversion.ver" TQSLVERSION)
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR TQSLVERSION)
-string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR TQSLVERSION)
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+string(REGEX REPLACE "([0-9]+)\\.([0-9]+)\\.([0-9]+)" "\\3" TQSL_VERSION_UPDATE ${TQSLVERSION})
 
+# Handle case where version number does not have an update i.e. 2.0
+if (TQSL_VERSION_MAJOR STREQUAL ${TQSLVERSION}) 
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\1" TQSL_VERSION_MAJOR ${TQSLVERSION})
+	string(REGEX REPLACE "([0-9]+)\\.([0-9]+)" "\\2" TQSL_VERSION_MINOR ${TQSLVERSION})
+	set(TQSL_VERSION_UPDATE "0")
+endif()
 
 #get build # with git
 
 find_program(GIT_PROG git "C:\\Program Files (x86)\\Git\\bin" "C:\\Program Files\\Git\\bin")
 
 if(GIT_PROG) #we can use git
-execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
+	execute_process(COMMAND ${GIT_PROG} describe RESULT_VARIABLE GITERROR ERROR_QUIET OUTPUT_VARIABLE HEAD_COMMIT OUTPUT_STRIP_TRAILING_WHITESPACE)
 	if(NOT GITERROR) #git ran alright
 		set(BUILD ${HEAD_COMMIT})
 	else()		# Git error - hope this is a source distro
@@ -66,37 +73,57 @@
 	endif()
 endif()
 
-set(TQSL_VERSION_MAJOR 2)
-set(TQSL_VERSION_MINOR 0)
-set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
+# In case the versions couldn't be deduced, set them
+if(NOT ${TQSL_VERSION_MAJOR})
+	set(TQSL_VERSION_MAJOR 2)
+endif()
+
+if(NOT TQSL_VERSION_MINOR)
+	set(TQSL_VERSION_MINOR 0)
+endif()
+
+if (NOT TQSL_VERSION_UPDATE)
+	set(TQSL_VERSION_UPDATE 2)
+endif()
+
+IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}.${TQSL_VERSION_UPDATE}")
+else()
+	set(TQSLVERSION "${TQSL_VERSION_MAJOR}.${TQSL_VERSION_MINOR}")
+endif()
+
+if(${BUILD} MATCHES "-(alpha|beta|test|rc[0-9])")
+	message("${BUILD} is a test build")
+	add_definitions(-DTQSL_TEST_BUILD)
+endif()
 
 if(WIN32)
-set(TQSLLIB_NAME tqsllib2)
-set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
-set(TQSL_RCFILE "tqsl.rc")
-configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
+	set(TQSLLIB_NAME tqsllib2)
+	set(srcdir ${CMAKE_CURRENT_SOURCE_DIR})
+	set(TQSL_RCFILE "tqsl.rc")
+	configure_file("${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}.in" "${CMAKE_CURRENT_SOURCE_DIR}/${TQSL_RCFILE}")
 else()
-set(TQSLLIB_NAME tqsllib)
+	set(TQSLLIB_NAME tqsllib)
 endif()
 
 if(APPLE)
-set(OSX_ICONFILE "tqslicons.icns")
-set(MACOSX_BUNDLE_INFO_STRING "tqsl")
-set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
-set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
-set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2013 American Radio Relay League")
+	set(OSX_ICONFILE "tqslicons.icns")
+	set(MACOSX_BUNDLE_INFO_STRING "tqsl")
+	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
+	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
+	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2014 American Radio Relay League")
 
-set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
-SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
-set(TQSL_RCFILE ${OSX_ICONFILE})
+	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
+	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
+	set(TQSL_RCFILE ${OSX_ICONFILE})
 endif()
 
 if(NOT WIN32) #rpath setup
-SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
-SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
-SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
-SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
+	SET(CMAKE_SKIP_BUILD_RPATH  FALSE)
+	SET(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE) 
+	SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+	SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib")
 endif()
 
 
@@ -118,9 +145,10 @@
   ${wxWidgets_LIBRARIES} ${ZLIB_LIBRARIES} ${CURL_LIBRARIES} ${CARBON_LIBRARY} ${EXPAT_LIBRARIES})
 
 if(NOT APPLE AND NOT WIN32)
-add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
-install(TARGETS tqsl DESTINATION bin)
-install(DIRECTORY help DESTINATION share/TrustedQSL)
-install(FILES tqsl.5 DESTINATION share/man/man5)
-install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
+	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
+	install(TARGETS tqsl DESTINATION bin)
+	install(DIRECTORY help DESTINATION share/TrustedQSL)
+	install(FILES ca-bundle.crt DESTINATION share/TrustedQSL)
+	install(FILES tqsl.5 DESTINATION share/man/man5)
+	install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
 endif()
