## trustedqsl 2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,7 @@
 endif()
 
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmakemodules/")
+find_package(OptionalAddSubdirectory REQUIRED)
 
 option(USE_STATIC_MSVCRT "Use a static Visual C++ Runtime when building with MSVC")
 
@@ -26,3 +27,4 @@
 
 add_subdirectory(src) #tqsllib
 add_subdirectory(apps)
+macro_optional_add_subdirectory(tests)
