=== apps/CMakeLists.txt ===
--- 
+++ 
@@ -79,11 +79,11 @@
 endif()
 
 if(NOT TQSL_VERSION_MINOR)
-	set(TQSL_VERSION_MINOR 0)
+	set(TQSL_VERSION_MINOR 1)
 endif()
 
 if (NOT TQSL_VERSION_UPDATE)
-	set(TQSL_VERSION_UPDATE 2)
+	set(TQSL_VERSION_UPDATE 0)
 endif()
 
 IF(TQSL_VERSION_UPDATE AND NOT TQSL_VERSION_UPDATE EQUAL 0) 
@@ -112,7 +112,7 @@
 	set(MACOSX_BUNDLE_GUI_IDENTIFIER "org.arrl.tqsl")
 	set(MACOSX_BUNDLE_LONG_VERSION_STRING "TQSL V ${TQSLVERSION} build ${BUILD}")
 	set(MACOSX_BUNDLE_SHORT_VERSION_STRING "${TQSLVERSION}")
-	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2014 American Radio Relay League")
+	set(MACOSX_BUNDLE_COPYRIGHT "Copyright 2001-2015 American Radio Relay League")
 
 	set(MACOSX_BUNDLE_ICON_FILE ${OSX_ICONFILE})
 	SET_SOURCE_FILES_PROPERTIES(${OSX_ICONFILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources)
@@ -148,7 +148,22 @@
 	add_definitions("-DCONFDIR=\"${CMAKE_INSTALL_PREFIX}/share/TrustedQSL/\"")
 	install(TARGETS tqsl DESTINATION bin)
 	install(DIRECTORY help DESTINATION share/TrustedQSL)
-	install(FILES ca-bundle.crt DESTINATION share/TrustedQSL)
-	install(FILES tqsl.5 DESTINATION share/man/man5)
+	if (CMAKE_INSTALL_PREFIX STREQUAL "/usr")
+		install(FILES tqsl.5 DESTINATION share/man/man5)
+	else()
+		install(FILES tqsl.5 DESTINATION man/man5)
+	endif()
 	install(FILES icons/key48.png DESTINATION share/pixmaps RENAME TrustedQSL.png)
+	install(FILES lang/de/tqslapp.mo DESTINATION share/locale/de/LC_MESSAGES)
+	install(FILES lang/de/wxstd.mo DESTINATION share/locale/de/LC_MESSAGES)
+	install(FILES lang/es/tqslapp.mo DESTINATION share/locale/es/LC_MESSAGES)
+	install(FILES lang/es/wxstd.mo DESTINATION share/locale/es/LC_MESSAGES)
+	install(FILES lang/fr/tqslapp.mo DESTINATION share/locale/fr/LC_MESSAGES)
+	install(FILES lang/fr/wxstd.mo DESTINATION share/locale/fr/LC_MESSAGES)
+	install(FILES lang/it/tqslapp.mo DESTINATION share/locale/it/LC_MESSAGES)
+	install(FILES lang/it/wxstd.mo DESTINATION share/locale/it/LC_MESSAGES)
+	install(FILES lang/ja/tqslapp.mo DESTINATION share/locale/ja/LC_MESSAGES)
+	install(FILES lang/ja/wxstd.mo DESTINATION share/locale/ja/LC_MESSAGES)
+	install(FILES lang/pt/tqslapp.mo DESTINATION share/locale/pt/LC_MESSAGES)
+	install(FILES lang/pt/wxstd.mo DESTINATION share/locale/pt/LC_MESSAGES)
 endif()
