=== debian/watch ===
version=3

# older versions, e.g. TrustedQSL-1.13 ==> 1.13
#http://sf.net/trustedqsl/TrustedQSL-([\d\.]+)\.tar\.gz

# newer versions (since 1.14.2) should work with standard sourceforge scanner
http://sf.net/trustedqsl/tqsl-(.*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
